Bug 199714 - Loading music file, rhythmbox crashes
Loading music file, rhythmbox crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-21 11:19 EDT by sangu
Modified: 2013-03-05 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 07:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-07-21 11:19:51 EDT
Description of problem:
$cat /tmp/xses-sangu.a6fb9m
[...]
File "dbus-timeout.c" line 343 process 3765 should not have been reached:
Nonexistent timeout was removed

rhythmbox has procees 3765.

=== backtrace ===
Distribution: Fedora Core release 5.90 (Test)
Gnome Release: 2.15.4 2006-07-12 (Red Hat, Inc)
BugBuddy Version: 2.15.0

Memmory status: size: 168509440 vsize: 0 resident: 168509440 share: 0 rss:
39792640 rss_rlim: 0
CPU usage: start_time: 1153493257 rtime: 0 utime: 9792 stime: 0 cutime:8719
cstime: 0 timeout: 1073 it_real_value: 0 frequency: 6

Backtrace was generated from '/usr/bin/rhythmbox'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208588576 (LWP 3765)]
[New Thread -1297732704 (LWP 4155)]
[New Thread -1325122656 (LWP 4153)]
[New Thread -1314632800 (LWP 4152)]
[New Thread -1276478560 (LWP 3777)]
[New Thread -1227674720 (LWP 3773)]
0xb7f8d402 in __kernel_vsyscall ()
#0  0xb7f8d402 in __kernel_vsyscall ()
#1  0x01264ce0 in poll () from /lib/libc.so.6
#2  0x013189f9 in XAddConnectionWatch () from /usr/lib/libX11.so.6
#3  0x01318ddf in _XRead () from /usr/lib/libX11.so.6
#4  0x013197a4 in _XReply () from /usr/lib/libX11.so.6
#5  0x0131063a in XSync () from /usr/lib/libX11.so.6
#6  0x00544c6b in cairo_xlib_surface_get_display ()
   from /usr/lib/libcairo.so.2
#7  0x00529d0d in cairo_surface_finish () from /usr/lib/libcairo.so.2
#8  0x00529da8 in cairo_surface_destroy () from /usr/lib/libcairo.so.2
#9  0x0052d5ea in cairo_pattern_reference () from /usr/lib/libcairo.so.2
#10 0x00543985 in cairo_xlib_surface_get_display ()
   from /usr/lib/libcairo.so.2
#11 0x005296b5 in cairo_surface_reference () from /usr/lib/libcairo.so.2
#12 0x0051dfda in cairo_font_options_create () from /usr/lib/libcairo.so.2
#13 0x00518634 in cairo_show_glyphs () from /usr/lib/libcairo.so.2
#14 0x001cd300 in pango_cairo_renderer_draw_glyphs (renderer=0x860c9c8, 
    font=0x8328020, glyphs=0x88c3560, x=0, y=0) at pangocairo-render.c:234
#15 0x004274a5 in pango_renderer_draw_glyphs (renderer=0x860c9c8, 
    font=0x8328020, glyphs=0x88c3560, x=0, y=0) at pango-renderer.c:595
#16 0x001cc882 in _pango_cairo_do_glyph_string (cr=0x87d48c8, font=0x8328020, 
    glyphs=0x88c3560, do_path=0) at pangocairo-render.c:440
#17 0x002bbdf8 in gdk_pango_renderer_draw_glyphs (renderer=0x83cd0b0, 
    font=0x8328020, glyphs=0x88c3560, x=25600, y=68608) at gdkpango.c:244
#18 0x004274a5 in pango_renderer_draw_glyphs (renderer=0x83cd0b0, 
    font=0x8328020, glyphs=0x88c3560, x=25600, y=68608)
    at pango-renderer.c:595
#19 0x00427902 in pango_renderer_draw_layout_line (renderer=0x83cd0b0, 
    line=0x88c0538, x=25600, y=68608) at pango-renderer.c:526
#20 0x00427c7a in pango_renderer_draw_layout (renderer=0x83cd0b0, 
    layout=0x8447c30, x=25600, y=55296) at pango-renderer.c:183
#21 0x002bad92 in IA__gdk_draw_layout_with_colors (drawable=0x860a9d0, 
    gc=0x83420b0, x=25, y=54, layout=0x8447c30, foreground=0x0, 
    background=0x0) at gdkpango.c:1030
#22 0x002baf75 in IA__gdk_draw_layout (drawable=0x860a9d0, gc=0x83420b0, 
    x=25, y=54, layout=0x8447c30) at gdkpango.c:1092
#23 0x00d90d60 in gtk_default_draw_layout (style=0x8623b50, window=0x860a9d0, 
    state_type=GTK_STATE_NORMAL, use_text=1, area=0xbf85de44, 
    widget=0x83bd000, detail=0xe744ce "cellrenderertext", x=25, y=54, 
    layout=0x8447c30) at gtkstyle.c:5067
#24 0x00d8d229 in IA__gtk_paint_layout (style=0x8623b50, window=0x860a9d0, 
    state_type=GTK_STATE_NORMAL, use_text=1, area=0xbf85de44, 
    widget=0x83bd000, detail=0xe744ce "cellrenderertext", x=25, y=54, 
    layout=0x8447c30) at gtkstyle.c:6341
#25 0x00c5fe8a in gtk_cell_renderer_text_render (cell=0x83a2a80, 
    window=0x860a9d0, widget=0x83bd000, background_area=0xbf85de24, 
    cell_area=0xbf85de34, expose_area=0xbf85de44, flags=0)
    at gtkcellrenderertext.c:1642
#26 0x00c58944 in IA__gtk_cell_renderer_render (cell=0x83a2a80, 
    window=0x860a9d0, widget=0x83bd000, background_area=0xbf85de24, 
    cell_area=0xbf85de34, expose_area=0xbf85de44, flags=0)
    at gtkcellrenderer.c:563
#27 0x00e2153f in gtk_tree_view_column_cell_process_action (
    tree_column=0x83ae140, window=0x860a9d0, background_area=0xbf85e020, 
    cell_area=0xbf85e010, flags=0, action=0, expose_area=0xbf85e690, 
    focus_rectangle=0x0, editable_widget=0x0, event=0x0, path_string=0x0)
    at gtktreeviewcolumn.c:2762
#28 0x00e22239 in _gtk_tree_view_column_cell_render (tree_column=0x83ae140, 
    window=0x860a9d0, background_area=0xbf85e020, cell_area=0xbf85e010, 
    expose_area=0xbf85e690, flags=0) at gtktreeviewcolumn.c:3095
#29 0x00e1b8d8 in gtk_tree_view_expose (widget=0x83bd000, event=0xbf85e684)
    at gtktreeview.c:4559
#30 0x00d1e5b0 in _gtk_marshal_BOOLEAN__BOXED (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c, marshal_data=0xe1a070) at gtkmarshalers.c:83
#31 0x0067f6f9 in g_type_class_meta_marshal (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c, marshal_data=0xc8) at gclosure.c:567
#32 0x00680edb in IA__g_closure_invoke (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c) at gclosure.c:490
#33 0x006923f3 in signal_emit_unlocked_R (node=0x82761c0, detail=0, 
    instance=0x83bd000, emission_return=0xbf85e54c, 
    instance_and_params=0xbf85e38c) at gsignal.c:2476
#34 0x00693067 in IA__g_signal_emit_valist (instance=0x83bd000, signal_id=99, 
    detail=0, var_args=0xbf85e5d0 "èå\205¿\204æ\205¿") at gsignal.c:2207
#35 0x00693459 in IA__g_signal_emit (instance=0x83bd000, signal_id=99, 
    detail=0) at gsignal.c:2241
#36 0x00e30fd8 in gtk_widget_event_internal (widget=0x83bd000, 
    event=0xbf85e684) at gtkwidget.c:3901
#37 0x00d18e74 in IA__gtk_main_do_event (event=0xbf85e684) at gtkmain.c:1379
#38 0x002ca68f in gdk_window_process_updates_internal (window=0x860a9d0)
    at gdkwindow.c:2324
#39 0x002ca8d7 in IA__gdk_window_process_all_updates () at gdkwindow.c:2387
#40 0x002ca955 in gdk_window_update_idle (data=0x0) at gdkwindow.c:2245
#41 0x0440d591 in g_idle_dispatch (source=0x8a04328, callback=0xffffffff, 
    user_data=0x0) at gmain.c:3924
#42 0x0440f2f2 in IA__g_main_context_dispatch (context=0x825a9b0)
    at gmain.c:2043
#43 0x044122cf in g_main_context_iterate (context=0x825a9b0, block=1, 
    dispatch=1, self=0x81b7bc0) at gmain.c:2675
#44 0x04412679 in IA__g_main_loop_run (loop=0x85fe1a0) at gmain.c:2879
#45 0x00d190d4 in IA__gtk_main () at gtkmain.c:1000
#46 0x08069f41 in main (argc=1, argv=0xbf85ea64) at main.c:375

Thread 6 (Thread -1227674720 (LWP 3773)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006107ab in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007fadc6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x011cdc39 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x011cf241 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x003bd195 in _dbus_abort () at dbus-sysdeps.c:89
	s = 0x0
#8  0x003a6fe3 in _dbus_real_assert_not_reached (
    explanation=0x3ca788 "Nonexistent timeout was removed", 
    file=0x3ca745 "dbus-timeout.c", line=343) at dbus-internals.c:498
No locals.
#9  0x0039e768 in _dbus_timeout_list_remove_timeout (timeout_list=0x89330a8, 
    timeout=0x87ddc30) at dbus-timeout.c:343
No locals.
#10 0x003791cb in protected_change_timeout (connection=0x89d5f00, 
    timeout=0x87ddc30, add_function=0, 
    remove_function=0x39e6f0 <_dbus_timeout_list_remove_timeout>, 
    toggle_function=0, enabled=0) at dbus-connection.c:698
	timeouts = (DBusTimeoutList *) 0x89330a8
	retval = 0
	__FUNCTION__ = "protected_change_timeout"
#11 0x00379268 in _dbus_connection_remove_timeout_unlocked (
    connection=0x89d5f00, timeout=0x87ddc30) at dbus-connection.c:750
No locals.
#12 0x00379d54 in free_pending_call_on_hash_removal (data=0x8a0ac80)
    at dbus-connection.c:831
	connection = (DBusConnection *) 0x89d5f00
#13 0x003a3bee in free_entry_data (table=0x89bf790, entry=0x892d4c8)
    at dbus-hash.c:458
No locals.
#14 0x003a4d06 in remove_entry (table=0x89bf790, bucket=0x89bf7a0, 
    entry=0x892d4c8) at dbus-hash.c:465
	__FUNCTION__ = "remove_entry"
#15 0x003a510f in _dbus_hash_iter_remove_entry (iter=0xb6d321d4)
    at dbus-hash.c:615
	__FUNCTION__ = "_dbus_hash_iter_remove_entry"
#16 0x0037a6a0 in _dbus_connection_get_dispatch_status_unlocked (
    connection=0x89d5f00) at dbus-connection.c:2505
	status = <value optimized out>
	is_connected = 0
	__FUNCTION__ = "_dbus_connection_get_dispatch_status_unlocked"
#17 0x0037c9ae in dbus_connection_send_with_reply (connection=0x89d5f00, 
    message=0x8268be0, pending_return=0xb6d32278, timeout_milliseconds=15000)
    at dbus-connection.c:2441
	pending = (DBusPendingCall *) 0x8a0ac80
	status = <value optimized out>
	__FUNCTION__ = "dbus_connection_send_with_reply"
#18 0x0037cb1c in dbus_connection_send_with_reply_and_block (
    connection=0x89d5f00, message=0x8268be0, timeout_milliseconds=15000, 
    error=0xb6d322d8) at dbus-connection.c:2772
	reply = <value optimized out>
	pending = <value optimized out>
	__FUNCTION__ = "dbus_connection_send_with_reply_and_block"
#19 0x080b4abd in start_metadata_service (error=0x885a970)
    at rb-metadata-dbus-client.c:153
	argv = {0x8126668 "/usr/libexec/rhythmbox-metadata", 
  0x8126522 "unix:tmpdir=/tmp", 0x0}
	dbus_error = {name = 0x0, message = 0x0, dummy1 = 0, dummy2 = 0, 
  dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 = 0x0}
	stdout_channel = <value optimized out>
	status = <value optimized out>
	dbus_address = (gchar *) 0x0
	__FUNCTION__ = "start_metadata_service"
#20 0x080b52f6 in rb_metadata_load (md=0x8646860, 
    uri=0x893f3d8
"file:///media/disk-2/Music/Van%20Halen%20and%20David%20Lee%20Roth/David%20Lee%20Roth%20-%20Discography/Eat%20Em%20And%20Smile/01%20Yankee%20Rose.mp3",
error=0x885a970) at rb-metadata-dbus-client.c:328
	message = <value optimized out>
	response = <value optimized out>
	iter = {dummy1 = 0x82d15e8, dummy2 = 0x828a880, dummy3 = 3067290504, 
  dummy4 = 6842960, dummy5 = 137172456, dummy6 = 0, dummy7 = -1227676776, 
  dummy8 = 6577363, dummy9 = 144623440, dummy10 = 138634552, 
  dummy11 = 23370027, pad1 = 135613268, pad2 = 137172456, pad3 = 0x828a880}
	dbus_error = {name = 0x0, message = 0x0, dummy1 = 0, dummy2 = 0, 
  dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 = 0x0}
	ok = <value optimized out>
	__FUNCTION__ = "rb_metadata_load"
#21 0x080d6e25 in action_thread_main (db=0x82d1858) at rhythmdb.c:1946
	action = <value optimized out>
	result = <value optimized out>
	__FUNCTION__ = "action_thread_main"
	__PRETTY_FUNCTION__ = "action_thread_main"
#22 0x0442cfbf in g_thread_create_proxy (data=0x87af858) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#23 0x00609fbc in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#24 0x0126e30e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread -1276478560 (LWP 3777)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0060cfc6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x031c6b5a in gst_base_audio_sink_get_type ()
   from /usr/lib/libgstaudio-0.10.so.0
No symbol table info available.
#3  0x0059b1d0 in gst_base_sink_get_type () from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#4  0x0059d15b in gst_base_sink_get_type () from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#5  0x0059d716 in gst_base_sink_get_type () from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#6  0x0059dd0e in gst_base_sink_get_type () from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#7  0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#8  0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#9  0x008dd667 in gst_ghost_pad_new_no_target ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#10 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#11 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#12 0x008dd667 in gst_ghost_pad_new_no_target ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#13 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#14 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#15 0x005a7c74 in gst_base_transform_get_type ()
   from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#16 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#17 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#18 0x005a7c74 in gst_base_transform_get_type ()
   from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#19 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#20 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#21 0x005a7c74 in gst_base_transform_get_type ()
   from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#22 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#23 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#24 0x008dd667 in gst_ghost_pad_new_no_target ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#25 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#26 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#27 0x069d067e in gst_queue_get_type ()
   from /usr/lib/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#28 0x0090201f in gst_task_set_lock () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#29 0x0442e988 in g_thread_pool_thread_proxy (data=0x886db70)
    at gthreadpool.c:265
	task = (gpointer) 0x87a6d60
	pool = (GRealThreadPool *) 0x886db70
#30 0x0442cfbf in g_thread_create_proxy (data=0x823bfa8) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#31 0x00609fbc in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#32 0x0126e30e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1314632800 (LWP 4152)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0060cfc6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x008fd318 in gst_system_clock_obtain ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#3  0x0442cfbf in g_thread_create_proxy (data=0x88616b8) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#4  0x00609fbc in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x0126e30e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1325122656 (LWP 4153)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0060cfc6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x069d2b3f in gst_queue_get_type ()
   from /usr/lib/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#3  0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#4  0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#5  0x01635ce5 in gst_stream_selector_get_type ()
   from /usr/lib/gstreamer-0.10/libgstplaybin.so
No symbol table info available.
#6  0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#7  0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#8  0x008dd667 in gst_ghost_pad_new_no_target ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#9  0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#10 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#11 0x04a493d5 in gst_mad_get_type ()
   from /usr/lib/gstreamer-0.10/libgstmad.so
No symbol table info available.
#12 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#13 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#14 0x02b5f2ae in gst_id3demux_get_type ()
   from /usr/lib/gstreamer-0.10/libgstid3demux.so
No symbol table info available.
#15 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#16 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#17 0x069d6afc in gst_type_find_element_get_type ()
   from /usr/lib/gstreamer-0.10/libgstcoreelements.so
No symbol table info available.
#18 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#19 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#20 0x008dd667 in gst_ghost_pad_new_no_target ()
   from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#21 0x008ea2ab in gst_pad_alloc_buffer () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#22 0x008eaa3b in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#23 0x005a38b6 in gst_base_src_get_type () from /usr/lib/libgstbase-0.10.so.0
No symbol table info available.
#24 0x0090201f in gst_task_set_lock () from /usr/lib/libgstreamer-0.10.so.0
No symbol table info available.
#25 0x0442e988 in g_thread_pool_thread_proxy (data=0x886db70)
    at gthreadpool.c:265
	task = (gpointer) 0xb6232408
	pool = (GRealThreadPool *) 0x886db70
#26 0x0442cfbf in g_thread_create_proxy (data=0x893b778) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#27 0x00609fbc in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#28 0x0126e30e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1297732704 (LWP 4155)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0060cfc6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x031c46b2 in gst_audio_sink_get_type ()
   from /usr/lib/libgstaudio-0.10.so.0
No symbol table info available.
#3  0x0442cfbf in g_thread_create_proxy (data=0xb5e232a8) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#4  0x00609fbc in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x0126e30e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208588576 (LWP 3765)):
#0  0xb7f8d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x01264ce0 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x013189f9 in XAddConnectionWatch () from /usr/lib/libX11.so.6
No symbol table info available.
#3  0x01318ddf in _XRead () from /usr/lib/libX11.so.6
No symbol table info available.
#4  0x013197a4 in _XReply () from /usr/lib/libX11.so.6
No symbol table info available.
#5  0x0131063a in XSync () from /usr/lib/libX11.so.6
No symbol table info available.
#6  0x00544c6b in cairo_xlib_surface_get_display ()
   from /usr/lib/libcairo.so.2
No symbol table info available.
#7  0x00529d0d in cairo_surface_finish () from /usr/lib/libcairo.so.2
No symbol table info available.
#8  0x00529da8 in cairo_surface_destroy () from /usr/lib/libcairo.so.2
No symbol table info available.
#9  0x0052d5ea in cairo_pattern_reference () from /usr/lib/libcairo.so.2
No symbol table info available.
#10 0x00543985 in cairo_xlib_surface_get_display ()
   from /usr/lib/libcairo.so.2
No symbol table info available.
#11 0x005296b5 in cairo_surface_reference () from /usr/lib/libcairo.so.2
No symbol table info available.
#12 0x0051dfda in cairo_font_options_create () from /usr/lib/libcairo.so.2
No symbol table info available.
#13 0x00518634 in cairo_show_glyphs () from /usr/lib/libcairo.so.2
No symbol table info available.
#14 0x001cd300 in pango_cairo_renderer_draw_glyphs (renderer=0x860c9c8, 
    font=0x8328020, glyphs=0x88c3560, x=0, y=0) at pangocairo-render.c:234
	crenderer = (PangoCairoRenderer *) 0x860c9c8
	i = 1
	count = 1
	x_position = 0
	cairo_glyphs = (cairo_glyph_t *) 0xbf85d60c
	stack_glyphs = {{index = 22, x = 25, y = 67}, {index = 1, 
    x = -0.010662734752234143, y = 2.4063466333460603e-268}, {
    index = 140494864, x = 5.2871333009025228e-307, 
    y = 5.3429919788482949e-303}, {index = 19751200, 
    x = -0.010663092387436457, y = 5.3552187719572753e-303}, {
    index = 144722432, x = 2.4063466696460339e-268, 
    y = 2.1219958018347165e-314}, {index = 40, x = 1.1363509854348671e-322, 
    y = -0.010664761076414106}, {index = 0, x = 4.1859600835087784e-307, 
    y = 8.4951334020444688e-313}, {index = 1, x = 5.2871307653830415e-307, 
    y = -0.010665357112884521}, {index = 5355887, x = -0.010665213675320209, 
    y = 0.10000000000000001}, {index = 3213219688, 
    x = 5.3553745148708875e-303, y = 1.1204137776296638e-311}, {index = 48, 
    x = 9.715036111848351e-317, y = 1.5875414603815287e-314}, {
    index = 2576980378, x = 5.3429926711961053e-303, 
    y = 8.8691204386592939e-268}, {index = 3213219608, 
    x = 5.3552187719533827e-303, y = 5.2871307608368313e-307}, {index = 0, 
    x = -0.010664284476352398, y = 8.869123874766497e-268}, {
    index = 142428360, x = 4.0356319813665596e-307, 
    y = 4.1105591852934408e-267}, {index = 18910963, 
    x = 3.337610788473142e-308, y = -0.010664761066436775}, {index = 5382993, 
    x = 5.0927899244033197e-313, y = 9.715036111848351e-317}, {index = 328, 
    x = 5.9287877500949585e-322, y = 0}, {index = 1441792, 
    x = 1.6688053938933527e-307, y = 8.8690834487189558e-268}, {
    index = 3213219736, x = 8.869120423158767e-268, 
    y = 5.3552187724884614e-303}, {index = 138638224, 
    x = 3.061567424354491e-303, y = 7.3638529037887253e-269}, {
    index = 142428360, x = -0.010665714980320845, 
    y = 1.3194618014239823e-267}, {index = 142428368, 
    x = 5.2871307608364171e-307, y = 5.1599099335332712e-269}, {
    index = 3213219832, x = 7.3638528844642833e-269, 
    y = -0.010665953398899947}, {index = 5343977, 
    x = 8.8690834506013005e-268, y = 3.896098853656466e-307}, {
    index = 142428368, x = -0.010666072615695646, 
    y = 8.8690834527766495e-268}, {index = 1, x = 7.6323085122040027e-308, 
    y = 2.988981424975368e-268}, {index = 0, x = 0, y = 0}, {index = 0, 
    x = 6.800023900476446e-316, y = 0}, {index = 0, 
    x = -0.010666668425046918, y = 4.0481531871462955e-267}, {
    index = 18913266, x = 4.1921291496726395e-307, 
    y = 4.1103966402161806e-267}, {index = 3213219992, 
    x = 4.048108822693149e-267, y = -0.010667026052774031}, {index = 5365901, 
    x = 1.3193397992508961e-267, y = 3.9886526928154771e-307}, {index = 528, 
    x = 10.000000000000114, y = 10}, {index = 19751200, 
    x = 7.446161319942324e-307, y = 7.9893845219439198e-311}, {
    index = 3213220072, x = 4.1103965210747411e-267, 
    y = 7.4626687496052776e-307}, {index = 3213220088, 
    x = 1.3195431362652539e-267, y = 1.1432218359236283e-306}, {
    index = 142985436, x = -0.010667985291303084, 
    y = 1.3195431362620419e-267}, {index = 1082513736, 
    x = 2.2585856860714798e-307, y = 2.5422498273598418e-268}, {
    index = 3213220152, x = 2.5422497540812243e-268, 
    y = 4.0070305020128772e-308}}
#15 0x004274a5 in pango_renderer_draw_glyphs (renderer=0x860c9c8, 
    font=0x8328020, glyphs=0x88c3560, x=0, y=0) at pango-renderer.c:595
	__PRETTY_FUNCTION__ = "pango_renderer_draw_glyphs"
#16 0x001cc882 in _pango_cairo_do_glyph_string (cr=0x87d48c8, font=0x8328020, 
    glyphs=0x88c3560, do_path=0) at pangocairo-render.c:440
	fontmap = <value optimized out>
	crenderer = (PangoCairoRenderer *) 0x860c9c8
	renderer = (PangoRenderer *) 0x860c9c8
#17 0x002bbdf8 in gdk_pango_renderer_draw_glyphs (renderer=0x83cd0b0, 
    font=0x8328020, glyphs=0x88c3560, x=25600, y=68608) at gdkpango.c:244
	priv = (GdkPangoRendererPrivate *) 0x83cd108
	cr = (cairo_t *) 0x87d48c8
#18 0x004274a5 in pango_renderer_draw_glyphs (renderer=0x83cd0b0, 
    font=0x8328020, glyphs=0x88c3560, x=25600, y=68608)
    at pango-renderer.c:595
	__PRETTY_FUNCTION__ = "pango_renderer_draw_glyphs"
#19 0x00427902 in pango_renderer_draw_layout_line (renderer=0x83cd0b0, 
    line=0x88c0538, x=25600, y=68608) at pango-renderer.c:526
	metrics = <value optimized out>
	run = (PangoLayoutRun *) 0x88c4130
	rise = 0
	shape_attr = (PangoAttrShape *) 0x0
	ink_rect = {x = 4316401, y = 144518040, width = 0, 
  height = -1081746712}
	x_off = 0
	glyph_string_width = 6144
	state = {underline = PANGO_UNDERLINE_NONE, underline_rect = {
    x = 142463240, y = 0, width = 4316401, height = 143406432}, 
  strikethrough = 0, strikethrough_rect = {x = 0, y = 4476188, 
    width = 144518000, height = 4476188}, logical_rect_end = 31744}
	l = (GSList *) 0x886df00
	got_overall = 0
	overall_rect = {x = 4352661, y = 138203312, width = 4476188, 
  height = 4355307}
	__PRETTY_FUNCTION__ = "pango_renderer_draw_layout_line"
#20 0x00427c7a in pango_renderer_draw_layout (renderer=0x83cd0b0, 
    layout=0x8447c30, x=25600, y=55296) at pango-renderer.c:183
	logical_rect = {x = 0, y = 0, width = 6144, height = 17408}
	line = (PangoLayoutLine *) 0x88c0538
	baseline = <value optimized out>
	iter = (PangoLayoutIter *) 0x89d2b70
	__PRETTY_FUNCTION__ = "pango_renderer_draw_layout"
#21 0x002bad92 in IA__gdk_draw_layout_with_colors (drawable=0x860a9d0, 
    gc=0x83420b0, x=25, y=54, layout=0x8447c30, foreground=0x0, 
    background=0x0) at gdkpango.c:1030
	tmp_matrix = {xx = 4.927849163590063e-288, 
  xy = 1.2193442780810622e-306, yx = 7.4625940553474831e-307, 
  yy = 1.1429250960323335e-306, x0 = 5.0931376972114273e-313, 
  y0 = 1.1432213279102851e-306}
	renderer = (PangoRenderer *) 0x83cd0b0
	matrix = (const PangoMatrix *) 0x0
	__PRETTY_FUNCTION__ = "IA__gdk_draw_layout_with_colors"
#22 0x002baf75 in IA__gdk_draw_layout (drawable=0x860a9d0, gc=0x83420b0, 
    x=25, y=54, layout=0x8447c30) at gdkpango.c:1092
	__PRETTY_FUNCTION__ = "IA__gdk_draw_layout"
#23 0x00d90d60 in gtk_default_draw_layout (style=0x8623b50, window=0x860a9d0, 
    state_type=GTK_STATE_NORMAL, use_text=1, area=0xbf85de44, 
    widget=0x83bd000, detail=0xe744ce "cellrenderertext", x=25, y=54, 
    layout=0x8447c30) at gtkstyle.c:5067
	gc = (GdkGC *) 0x83420b0
#24 0x00d8d229 in IA__gtk_paint_layout (style=0x8623b50, window=0x860a9d0, 
    state_type=GTK_STATE_NORMAL, use_text=1, area=0xbf85de44, 
    widget=0x83bd000, detail=0xe744ce "cellrenderertext", x=25, y=54, 
    layout=0x8447c30) at gtkstyle.c:6341
	__PRETTY_FUNCTION__ = "IA__gtk_paint_layout"
#25 0x00c5fe8a in gtk_cell_renderer_text_render (cell=0x83a2a80, 
    window=0x860a9d0, widget=0x83bd000, background_area=0xbf85de24, 
    cell_area=0xbf85de34, expose_area=0xbf85de44, flags=0)
    at gtkcellrenderertext.c:1642
	celltext = <value optimized out>
	layout = (PangoLayout *) 0x8447c30
	state = GTK_STATE_NORMAL
	x_offset = 0
	y_offset = 0
	priv = (GtkCellRendererTextPrivate *) 0x83a2ae8
#26 0x00c58944 in IA__gtk_cell_renderer_render (cell=0x83a2a80, 
    window=0x860a9d0, widget=0x83bd000, background_area=0xbf85de24, 
    cell_area=0xbf85de34, expose_area=0xbf85de44, flags=0)
    at gtkcellrenderer.c:563
	__PRETTY_FUNCTION__ = "IA__gtk_cell_renderer_render"
#27 0x00e2153f in gtk_tree_view_column_cell_process_action (
    tree_column=0x83ae140, window=0x860a9d0, background_area=0xbf85e020, 
    cell_area=0xbf85e010, flags=0, action=0, expose_area=0xbf85e690, 
    focus_rectangle=0x0, editable_widget=0x0, event=0x0, path_string=0x0)
    at gtktreeviewcolumn.c:2762
	info = (GtkTreeViewColumnCellInfo *) 0x83c06a0
	list = <value optimized out>
	real_expose_area = {x = 22, y = 51, width = 40, height = 23}
	depth = 0
	expand_cell_count = 1
	full_requested_width = <value optimized out>
	extra_space = 28
	min_x = 2147483647
	min_y = 2147483647
	max_x = 0
	max_y = <value optimized out>
	focus_line_width = 1
	special_cells = 0
	horizontal_separator = 2
	cursor_row = 0
	rtl = 0
	rtl_cell_area = {x = 23, y = 52, width = 38, height = 21}
	rtl_background_area = {x = 21, y = 50, width = 42, height = 25}
	__PRETTY_FUNCTION__ = "gtk_tree_view_column_cell_process_action"
#28 0x00e22239 in _gtk_tree_view_column_cell_render (tree_column=0x83ae140, 
    window=0x860a9d0, background_area=0xbf85e020, cell_area=0xbf85e010, 
    expose_area=0xbf85e690, flags=0) at gtktreeviewcolumn.c:3095
	__PRETTY_FUNCTION__ = "_gtk_tree_view_column_cell_render"
#29 0x00e1b8d8 in gtk_tree_view_expose (widget=0x83bd000, event=0xbf85e684)
    at gtktreeview.c:4559
	highlight_y = <value optimized out>
	tree = (GtkRBTree *) 0x1
	node = (GtkRBNode *) 0x0
	width = 1670539
	tree_view = <value optimized out>
	__PRETTY_FUNCTION__ = "gtk_tree_view_expose"
#30 0x00d1e5b0 in _gtk_marshal_BOOLEAN__BOXED (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c, marshal_data=0xe1a070) at gtkmarshalers.c:83
	data1 = (gpointer) 0x83bd000
	data2 = <value optimized out>
	v_return = <value optimized out>
	__PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#31 0x0067f6f9 in g_type_class_meta_marshal (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c, marshal_data=0xc8) at gclosure.c:567
	callback = <value optimized out>
#32 0x00680edb in IA__g_closure_invoke (closure=0x82d7290, 
    return_value=0xbf85e2b0, n_param_values=2, param_values=0xbf85e38c, 
    invocation_hint=0xbf85e29c) at gclosure.c:490
	marshal = (GClosureMarshal) 0x67f6b0 <g_type_class_meta_marshal>
	marshal_data = (gpointer) 0xc8
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#33 0x006923f3 in signal_emit_unlocked_R (node=0x82761c0, detail=0, 
    instance=0x83bd000, emission_return=0xbf85e54c, 
    instance_and_params=0xbf85e38c) at gsignal.c:2476
	tmp = <value optimized out>
	handler = (Handler *) 0xbf85e268
	accumulator = (SignalAccumulator *) 0x8268728
	emission = {next = 0x0, instance = 0x83bd000, ihint = {
    signal_id = 99, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
  state = EMISSION_RUN, chain_type = 136779584}
	class_closure = (GClosure *) 0x82d7290
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0xbf85e2b0
	accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 99
	max_sequential_handler_number = 15339
	return_value_altered = 0
#34 0x00693067 in IA__g_signal_emit_valist (instance=0x83bd000, signal_id=99, 
    detail=0, var_args=0xbf85e5d0 "èå\205¿\204æ\205¿") at gsignal.c:2207
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = -1081743896, v_long = -1081743896, 
    v_int64 = 3213223400, v_double = 1.5875432943532061e-314, 
    v_pointer = 0xbf85e5e8}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbf85e38c
	stack_values = {{g_type = 136779584, data = {{v_int = 138137600, 
        v_uint = 138137600, v_long = 138137600, v_ulong = 138137600, 
        v_int64 = 138137600, v_uint64 = 138137600, v_float = 5.65177684e-34, 
        v_double = 6.8249042558959779e-316, v_pointer = 0x83bd000}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 137194544, data = {{v_int = -1081743740, v_uint = 3213223556, 
        v_long = -1081743740, v_ulong = 3213223556, v_int64 = 3213223556, 
        v_uint64 = 3213223556, v_float = -1.04609728, 
        v_double = 1.5875433714274468e-314, v_pointer = 0xbf85e684}, {
        v_int = 134217728, v_uint = 134217728, v_long = 134217728, 
        v_ulong = 134217728, v_int64 = 134217728, v_uint64 = 134217728, 
        v_float = 3.85185989e-34, v_double = 6.631236846766476e-316, 
        v_pointer = 0x8000000}}}, {g_type = 0, data = {{v_int = 42663936, 
        v_uint = 42663936, v_long = 42663936, v_ulong = 42663936, 
        v_int64 = 23333762792882176, v_uint64 = 23333762792882176, 
        v_float = 2.04242143e-37, v_double = 4.2049842402287608e-307, 
        v_pointer = 0x28b0000}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 24702693381505024, 
        v_uint64 = 24702693381505024, v_float = 0, 
        v_double = 5.2871307608364171e-307, v_pointer = 0x0}}}, {
    g_type = 3213223048, data = {{v_int = 5411091, v_uint = 5411091, 
        v_long = 5411091, v_ulong = 5411091, v_int64 = -4646056700366647021, 
        v_uint64 = 13800687373342904595, v_float = 7.58255351e-39, 
        v_double = -0.01068887115463516, v_pointer = 0x529113}, {v_int = 2, 
        v_uint = 2, v_long = 2, v_ulong = 2, v_int64 = -4646056700372058110, 
        v_uint64 = 13800687373337493506, v_float = 2.80259693e-45, 
        v_double = -0.010688871145248417, v_pointer = 0x2}}}, {
    g_type = 143007792, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = -7378697627765833728, 
        v_uint64 = 11068046445943717888, v_float = 0, 
        v_double = -2.3534379293677286e-185, v_pointer = 0x0}, {
        v_int = 1069128089, v_uint = 1069128089, v_long = 1069128089, 
        v_ulong = 1069128089, v_int64 = 1069128089, v_uint64 = 1069128089, 
        v_float = 1.44999993, v_double = 5.2821945977880272e-315, 
        v_pointer = 0x3fb99999}}}, {g_type = 5751544, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = -4646055618040299520, 
        v_uint64 = 13800688455669252096, v_float = 0, 
        v_double = -0.010690748691558838, v_pointer = 0x0}, {
        v_int = -1081744372, v_uint = 3213222924, v_long = -1081744372, 
        v_ulong = 3213222924, v_int64 = -7378697624552610804, 
        v_uint64 = 11068046449156940812, v_float = -1.04602194, 
        v_double = -2.3534389788225436e-185, v_pointer = 0xbf85e40c}}}, {
    g_type = 1069128089, data = {{v_int = -1717986918, v_uint = 2576980378, 
        v_long = -1717986918, v_ulong = 2576980378, v_int64 = 2576980378, 
        v_uint64 = 2576980378, v_float = -1.58818684e-23, 
        v_double = 1.2731974747767896e-314, v_pointer = 0x9999999a}, {
        v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 1, 
        v_uint64 = 1, v_float = 1.40129846e-45, 
        v_double = 4.9406564584124654e-324, v_pointer = 0x1}}}, {g_type = 0, 
    data = {{v_int = 1072693248, v_uint = 1072693248, v_long = 1072693248, 
        v_ulong = 1072693248, v_int64 = 1072693248, v_uint64 = 1072693248, 
        v_float = 1.875, v_double = 5.2998088236266445e-315, 
        v_pointer = 0x3ff00000}, {v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 4607182418800017408, 
        v_uint64 = 4607182418800017408, v_float = 0, v_double = 1, 
        v_pointer = 0x0}, {v_int = 18910963, v_uint = 18910963, 
        v_long = 18910963, v_ulong = 18910963, v_int64 = 18910963, 
        v_uint64 = 18910963, v_float = 2.94899198e-38, 
        v_double = 9.3432571480749173e-317, v_pointer = 0x1208ef3}}}, {
    g_type = 0, data = {{v_int = 1078525952, v_uint = 1078525952, 
        v_long = 1078525952, v_ulong = 1078525952, v_int64 = 9668460544, 
        v_uint64 = 9668460544, v_float = 3.140625, 
        v_double = 4.7768542029619699e-314, v_pointer = 0x40490000}, {
        v_int = 3, v_uint = 3, v_long = 3, v_ulong = 3, v_int64 = 3, 
        v_uint64 = 3, v_float = 4.20389539e-45, 
        v_double = 1.4821969375237396e-323, v_pointer = 0x3}}}, {
    g_type = 1072693248, data = {{v_int = 18910963, v_uint = 18910963, 
        v_long = 18910963, v_ulong = 18910963, v_int64 = 4607182418818928371, 
        v_uint64 = 4607182418818928371, v_float = 2.94899198e-38, 
        v_double = 1.0000000041990773, v_pointer = 0x1208ef3}, {v_int = 16, 
        v_uint = 16, v_long = 16, v_ulong = 16, 
        v_int64 = 4607182418800017424, v_uint64 = 4607182418800017424, 
        v_float = 2.24207754e-44, v_double = 1.0000000000000036, 
        v_pointer = 0x10}}}, {g_type = 19663352, data = {{v_int = 1072693248, 
        v_uint = 1072693248, v_long = 1072693248, v_ulong = 1072693248, 
        v_int64 = -3222274048, v_uint64 = 18446744070487277568, 
        v_float = 1.875, v_double = -nan(0xfffff3ff00000), 
        v_pointer = 0x3ff00000}, {v_int = -1, v_uint = 4294967295, 
        v_long = -1, v_ulong = 4294967295, v_int64 = 81221971915833343, 
        v_uint64 = 81221971915833343, v_float = -nan(0x7fffff), 
        v_double = 3.0182348114799703e-303, v_pointer = 0xffffffff}}}, {
    g_type = 5432815, data = {{v_int = 112, v_uint = 112, v_long = 112, 
        v_ulong = 112, v_int64 = 103079215216, v_uint64 = 103079215216, 
        v_float = 1.56945428e-43, v_double = 5.0927899038501888e-313, 
        v_pointer = 0x70}, {v_int = 19663452, v_uint = 19663452, 
        v_long = 19663452, v_ulong = 19663452, v_int64 = 23035185233398364, 
        v_uint64 = 23035185233398364, v_float = 3.15988432e-38, 
        v_double = 3.9689571766126443e-307, v_pointer = 0x12c0a5c}}}, {
    g_type = 3213223108, data = {{v_int = 2, v_uint = 2, v_long = 2, 
        v_ulong = 2, v_int64 = 81221967620866050, 
        v_uint64 = 81221967620866050, v_float = 2.80259693e-45, 
        v_double = 3.0182320301376491e-303, v_pointer = 0x2}, {
        v_int = 143007792, v_uint = 143007792, v_long = 143007792, 
        v_ulong = 143007792, v_int64 = 1408892280880, 
        v_uint64 = 1408892280880, v_float = 8.07239889e-34, 
        v_double = 6.9608527467372413e-312, v_pointer = 0x8862030}}}, {
    g_type = 120, data = {{v_int = 19663452, v_uint = 19663452, 
        v_long = 19663452, v_ulong = 19663452, v_int64 = 611921582866827868, 
        v_uint64 = 611921582866827868, v_float = 3.15988432e-38, 
        v_double = 9.080443135318919e-268, v_pointer = 0x12c0a5c}, {
        v_int = -1081744152, v_uint = 3213223144, v_long = -1081744152, 
        v_ulong = 3213223144, v_int64 = 81288886424560872, 
        v_uint64 = 81288886424560872, v_float = -1.04604816, 
        v_double = 3.0615674243566565e-303, v_pointer = 0xbf85e4e8}}}, {
    g_type = 19751200, data = {{v_int = 142474096, v_uint = 142474096, 
        v_long = 142474096, v_ulong = 142474096, v_int64 = 240660642672, 
        v_uint64 = 240660642672, v_float = 7.64299815e-34, 
        v_double = 1.1890215585031114e-312, v_pointer = 0x87dfb70}, {
        v_int = 19746804, v_uint = 19746804, v_long = 19746804, 
        v_ulong = 19746804, v_int64 = 84453453789482996, 
        v_uint64 = 84453453789482996, v_float = 3.18324452e-38, 
        v_double = 5.1108834120857856e-303, v_pointer = 0x12d4ff4}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 20
	param_values = (GValue *) 0xbf85e3a0
	node = (SignalNode *) 0x82761c0
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#35 0x00693459 in IA__g_signal_emit (instance=0x83bd000, signal_id=99, 
    detail=0) at gsignal.c:2241
	var_args = 0xbf85e5cc "\204æ\205¿èå\205¿\204æ\205¿"
#36 0x00e30fd8 in gtk_widget_event_internal (widget=0x83bd000, 
    event=0xbf85e684) at gtkwidget.c:3901
	signal_num = <value optimized out>
	return_val = 0
#37 0x00d18e74 in IA__gtk_main_do_event (event=0xbf85e684) at gtkmain.c:1379
	event_widget = (GtkWidget *) 0x83bd000
	grab_widget = (GtkWidget *) 0x83bd000
	window_group = (GtkWindowGroup *) 0x83b0280
	next_event = <value optimized out>
	rewritten_event = (GdkEvent *) 0x0
	tmp_list = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#38 0x002ca68f in gdk_window_process_updates_internal (window=0x860a9d0)
    at gdkwindow.c:2324
	event = {type = GDK_EXPOSE, any = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0'}, expose = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', area = {x = 0, y = 50, 
      width = 651, height = 100}, region = 0x8657a80, count = 0}, 
  no_expose = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0'}, 
  visibility = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    state = GDK_VISIBILITY_UNOBSCURED}, motion = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', time = 0, 
    x = 1.3814192599430956e-311, y = 3.2525062228190592e-268, axes = 0x0, 
    state = 6341874, is_hint = 768, device = 0x32b1b0, 
    x_root = -0.010694205760955811, y_root = 2.5233394403975646e-268}, 
  button = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    time = 0, x = 1.3814192599430956e-311, y = 3.2525062228190592e-268, 
    axes = 0x0, state = 6341874, button = 71828224, device = 0x32b1b0, 
    x_root = -0.010694205760955811, y_root = 2.5233394403975646e-268}, 
  scroll = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    time = 0, x = 1.3814192599430956e-311, y = 3.2525062228190592e-268, 
    state = 0, direction = 6341874, device = 0x4480300, 
    x_root = 1.6414283663906233e-317, y_root = 3.7836749211745658e-288}, 
  key = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    time = 0, state = 50, keyval = 651, length = 100, 
    string = 0x8657a80 "\004", hardware_keycode = 0, group = 0 '\0', 
    is_modifier = 0}, crossing = {type = GDK_EXPOSE, window = 0x860a9d0, 
    send_event = 0 '\0', subwindow = 0x0, time = 50, 
    x = 2.1219957941816397e-312, y = 6.9598150069069387e-316, 
    x_root = 4.927849168214e-288, y_root = 1.6414283663906233e-317, 
    mode = 3213223640, detail = 71462849, focus = 140552656, state = 0}, 
  focus_change = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    in = 107}, configure = {type = GDK_EXPOSE, window = 0x860a9d0, 
    send_event = 0 '\0', x = 0, y = 50, width = 651, height = 100}, 
  property = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    atom = 0x0, time = 50, state = 651}, selection = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', selection = 0x0, target = 0x32, 
    property = 0x28b, time = 100, requestor = 140868224}, owner_change = {
    type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', owner = 0, 
    reason = 50, selection = 0x28b, time = 100, selection_time = 140868224}, 
  proximity = {type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', 
    time = 0, device = 0x32}, client = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', message_type = 0x0, 
    data_format = 50, data = {
      b = "\213\002\000\000d\000\000\000\200ze\b\000\000\000\000òÄ`", s = {
        651, 0, 100, 0, 31360, 2149, 0, 0, -15118, 96}, l = {651, 100, 
        140868224, 0, 6341874}}}, dnd = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', context = 0x0, time = 50, 
    x_root = 651, y_root = 0}, window_state = {type = GDK_EXPOSE, 
    window = 0x860a9d0, send_event = 0 '\0', changed_mask = 0, 
    new_window_state = 50}, setting = {type = GDK_EXPOSE, window = 0x860a9d0, 
    send_event = 0 '\0', action = GDK_SETTING_ACTION_NEW, 
    name = 0x32 <Address 0x32 out of bounds>}, grab_broken = {
    type = GDK_EXPOSE, window = 0x860a9d0, send_event = 0 '\0', keyboard = 0, 
    implicit = 50, grab_window = 0x28b}}
	save_region = 1
#39 0x002ca8d7 in IA__gdk_window_process_all_updates () at gdkwindow.c:2387
	old_update_windows = (GSList *) 0x8856248
	tmp_list = (GSList *) 0x8856248
#40 0x002ca955 in gdk_window_update_idle (data=0x0) at gdkwindow.c:2245
No locals.
#41 0x0440d591 in g_idle_dispatch (source=0x8a04328, callback=0xffffffff, 
    user_data=0x0) at gmain.c:3924
No locals.
#42 0x0440f2f2 in IA__g_main_context_dispatch (context=0x825a9b0)
    at gmain.c:2043
No locals.
#43 0x044122cf in g_main_context_iterate (context=0x825a9b0, block=1, 
    dispatch=1, self=0x81b7bc0) at gmain.c:2675
	got_ownership = <value optimized out>
	max_priority = 120
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8811208
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#44 0x04412679 in IA__g_main_loop_run (loop=0x85fe1a0) at gmain.c:2879
	got_ownership = 6339440
	self = (GThread *) 0x81b7bc0
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#45 0x00d190d4 in IA__gtk_main () at gtkmain.c:1000
	tmp_list = (GList *) 0x826733c
	functions = (GList *) 0x0
	init = (GtkInitFunction *) 0x82cd038
	loop = (GMainLoop *) 0x85fe1a0
#46 0x08069f41 in main (argc=1, argv=0xbf85ea64) at main.c:375
	program = <value optimized out>
	session_bus = (DBusGConnection *) 0x826733c
	error = (GError *) 0x0
	rb_shell = (RBShell *) 0x82cd038
	new_argv = (char **) 0x81b41a0
	context_as_value = {g_type = 68, data = {{v_int = 136617472, 
      v_uint = 136617472, v_long = 136617472, v_ulong = 136617472, 
      v_int64 = 136617472, v_uint64 = 136617472, v_float = 4.95376829e-34, 
      v_double = 6.7497999536878416e-316, v_pointer = 0x8249e00}, {v_int = 0, 
      v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}}}
	popt_options = {{longName = 0x8117906 "debug", shortName = 100 'd', 
    argInfo = 0, arg = 0x8157fe4, val = 0, 
    descrip = 0x811790c "Enable debug output", argDescrip = 0x0}, {
    longName = 0x8117920 "debug-match", shortName = 68 'D', argInfo = 1, 
    arg = 0x8157fe8, val = 0, 
    descrip = 0x8117a94 "Enable debug output matching a specified string", 
    argDescrip = 0x0}, {longName = 0x811792c "no-update", shortName = 0 '\0', 
    argInfo = 0, arg = 0x8157ffc, val = 0, 
    descrip = 0x8117ac4 "Do not update the library with file changes", 
    argDescrip = 0x0}, {longName = 0x8117936 "no-registration", 
    shortName = 110 'n', argInfo = 0, arg = 0x8157fec, val = 0, 
    descrip = 0x8117946 "Do not register the shell", argDescrip = 0x0}, {
    longName = 0x8117960 "dry-run", shortName = 0 '\0', argInfo = 0, 
    arg = 0x8157ff8, val = 0, 
    descrip = 0x8117af0 "Don't save any data permanently (implies
--no-registration)", argDescrip = 0x0}, {longName = 0x8117968 "rhythmdb-file", 
    shortName = 0 '\0', argInfo = 1, arg = 0x8157ff4, val = 0, 
    descrip = 0x8117976 "Path for database file to use", argDescrip = 0x0}, {
    longName = 0x81196c7 "quit", shortName = 113 'q', argInfo = 0, 
    arg = 0x8157ff0, val = 0, descrip = 0x8117994 "Quit Rhythmbox", 
    argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\0', argInfo = 0, 
    arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
	__FUNCTION__ = "main"
#0  0xb7f8d402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):
0.9.5-2

How reproducible:
always

Steps to Reproduce:
1. Import folder
 Loading files..
2. Import folder again.
3. 
  
Actual results:


Expected results:


Additional info:
dbus-0.90-7
dbus-glib-0.70-4
Comment 1 Matthias Clasen 2006-07-27 23:16:12 EDT
Looks like a dbus issue to me. John ?
Comment 2 Matthias Clasen 2007-04-03 22:02:36 EDT
This bug was reported against dbus-0.90. In the meantime, we have dbus-1.0. 
Are you still seeing this in rawhide ?
Comment 3 sangu 2007-04-04 07:55:46 EDT
This problem doesn't happen in current rawhide.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.